Subject: Re: bug#33665: 27.0.50; Variables not set up in Gnus when hooks are run

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Dec 2018 22:57:47 +0100

Eric Abrahamsen <[email-masked]> writes:

> On 12/12/18 15:36 PM, Lars Ingebrigtsen wrote:
>> Eric Abrahamsen <[email-masked]> writes:
>>
>>> Okay. This patch should restore that behavior. I don't see any other
>>> buffer-local variables that were being set to a specific value, other
>>> than `gnus-newsgroup-name'.
>>
>> I think that looks OK, but I don't understand the:
>>
>> -      (setq gnus-newsgroup-name group)
>> +;      (setq gnus-newsgroup-name group)
>
> That was just sort of a note to self -- if `gnus-newsgroup-name' is set
> in `gnus-summary-mode' then it doesn't need to be set again in
> `gnus-summary-setup-buffer'. But I was nervous I would break more stuff,
> and couldn't bring myself to actually delete it.

You haven't pushed the fixes yet?  Gnus is unusable for me on master as
it is.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no